cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Travler
Level 10
Report Inappropriate Content
Message 1 of 6

SB10126 questions

Jump to solution

I'm currently at 8.3.2 p6.  I'm planning on updating to 8.3.2 p7 later this month.  Now SB10126 tells me there is an ePatch (8.3.2E61) that I need to apply.

Does 8.3.2E61 require a reboot after installing?

If I apply 8.3.2E61 prior to 8.3.2 p7, will I need to reapply 8.3.2E61 after I apply 8.3.2 p7 ?

Does anyone have an eta on 8.3.2 p8 (assuming that p8 would incorporate 8.3.2E61)?

Thanks!

1 Solution

Accepted Solutions
sliedl
Level 14
Report Inappropriate Content
Message 2 of 6

Re: SB10126 questions

Jump to solution

When you Load a patch onto the firewall you can see the Details of the patch, including what patches are required to be installed first and if the patch requires a reboot.


Also, although the patches themselves are binary files you can still open the patch in Notepad or via less/more/cat on the firewall and see the text-information at the top of the output:

PKG_FLAGS=active uninstallable

REQUIRES=8.3.2P07

Next to PKG_FLAGS, 'active' means it does not require a reboot (it will say the word 'reboot' there if it does require a reboot).

8.3.2E61 requires 8.3.2P07 to be installed before or alongside the patch.  8.3.2E61 itself does not require a reboot (but P07 does).  There is no ETA for 8.3.2P08 right now but I am positive this epatch will be included in P08 once it's released.

5 Replies
sliedl
Level 14
Report Inappropriate Content
Message 2 of 6

Re: SB10126 questions

Jump to solution

When you Load a patch onto the firewall you can see the Details of the patch, including what patches are required to be installed first and if the patch requires a reboot.


Also, although the patches themselves are binary files you can still open the patch in Notepad or via less/more/cat on the firewall and see the text-information at the top of the output:

PKG_FLAGS=active uninstallable

REQUIRES=8.3.2P07

Next to PKG_FLAGS, 'active' means it does not require a reboot (it will say the word 'reboot' there if it does require a reboot).

8.3.2E61 requires 8.3.2P07 to be installed before or alongside the patch.  8.3.2E61 itself does not require a reboot (but P07 does).  There is no ETA for 8.3.2P08 right now but I am positive this epatch will be included in P08 once it's released.

Travler
Level 10
Report Inappropriate Content
Message 3 of 6

Re: SB10126 questions

Jump to solution


Thank you very much for the answers, and for the extra information, too!

Travler
Level 10
Report Inappropriate Content
Message 4 of 6

Re: SB10126 questions

Jump to solution


sliedl,

Concerning your comment:

Next to PKG_FLAGS, 'active' means it does not require a reboot (it will say the word 'reboot' there if it does require a reboot).

I've checked out another ePatch, 8.3.2E60.  When looking at its contents via Notepad, I see:

PKG_FLAGS=active uninstallable reboot

So I'm assuming this one DOES need a reboot, despite it also stating "active".  Since I'm also seeing some information in these patches about previous patches that are obsolete, I'm assuming that "active" is designating that a particular patch is not "obsolete".

Am I on the right track in interpreting this information?

Thanks!

sliedl
Level 14
Report Inappropriate Content
Message 5 of 6

Re: SB10126 questions

Jump to solution

I got the answer from engineering on what the flags mean:

inactive

Dumps the current system, installs on alternate slice, and reboots.

Reverting requires rollback.

active uninstallable

Installs on active slice.

Can be uninstalled.

active uninstallable reboot

Installs on active slice and reboots.

Can be uninstalled.

These aren't important, really, as they only show up if you view the binary patch in a text-viewing program.

Travler
Level 10
Report Inappropriate Content
Message 6 of 6

Re: SB10126 questions

Jump to solution

Thanks, sliedl, for going the extra mile in finding out the definitions! 

It may not be all that important, but I hadn't found anywhere else that told me that 8.3.2E60 required a reboot.

More McAfee Tools to Help You
  • Subscription Service Notification (SNS)
  • How-to: Endpoint Removal Tool
  • Support: Endpoint Security
  • eSupport: Policy Orchestrator